Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Cloudbreak Attempts to install HDP 2.4.2 fails

Solved Go to solution
Highlighted

Cloudbreak Attempts to install HDP 2.4.2 fails

Explorer

Hi,

I've updated to cloudbreak 1.2.2 and am trying to install a 2.4.2 HDP Cluster on AWS and failing with this error:

Ambari cluster could not be created. Reason: com.sequenceiq.cloudbreak.service.cluster.AmbariOperationFailedException: Cannot use the specified Ambari stack: AmbariStackDetails{id=34, stack='HDP', version='2.4.2', os='redhat7', stackRepoId='HDP-2.4', utilsRepoId='HDP-UTILS-1.1.0.20', stackBaseURL='http://public-repo-1.hortonworks.com/HDP/centos7/2.x/updates/2.4.2.0', utilsBaseURL='http://public-repo-1.hortonworks.com/HDP-UTILS-1.1.0.20/repos/centos7', verify=true}. Error: org.apache.ambari.server.controller.spi.NoSuchResourceException: The specified resource doesn't exist: Stack data, Stack HDP 2.4.2 is not found in Ambari metainfo

Does anyone see where my definition is wrong?

1 ACCEPTED SOLUTION

Accepted Solutions

Re: Cloudbreak Attempts to install HDP 2.4.2 fails

Contributor

You can give it a try now on the hosted version or do these changes in your cbd Profile:

export DOCKER_TAG_CLOUDBREAK=1.2.6-rc.3

And then restart cbd with:

cbd kill && cbd regenerate && cbd start

View solution in original post

7 REPLIES 7
Highlighted

Re: Cloudbreak Attempts to install HDP 2.4.2 fails

Super Guru
Highlighted

Re: Cloudbreak Attempts to install HDP 2.4.2 fails

Explorer
Highlighted

Re: Cloudbreak Attempts to install HDP 2.4.2 fails

Super Guru

@Kenneth Graves I just tried and I am recieving issues as well. I believe this is a bug. @jeff do you have any info?

Highlighted

Re: Cloudbreak Attempts to install HDP 2.4.2 fails

Explorer

Can you please share the repo urls that you have tried.

I'm from the RE team, validated all the repos and they are all good. No issues on our side.

Highlighted

Re: Cloudbreak Attempts to install HDP 2.4.2 fails

Super Guru

Folks found from @Janos Matyas this is a block bug.

Re: Cloudbreak Attempts to install HDP 2.4.2 fails

Contributor

You can give it a try now on the hosted version or do these changes in your cbd Profile:

export DOCKER_TAG_CLOUDBREAK=1.2.6-rc.3

And then restart cbd with:

cbd kill && cbd regenerate && cbd start

View solution in original post

Highlighted

Re: Cloudbreak Attempts to install HDP 2.4.2 fails

New Contributor

I face this something similar issue in my environment.

I was able to launch cluster via cloud break on AWS with 2.4 version until last week but faced error "Can't handle ServiceComponentHostEvent event at current state, serviceComponentName=HISTORYSERVER" this week. As an alternative i am trying to use 2.3 by specifically configuring the repository while launching the cluster but receives below error.

com.sequenceiq.cloudbreak.service.cluster.AmbariOperationFailedException: Cannot use the specified Ambari stack: AmbariStackDetails{id=2, stack='HDP', version='2.3', os='redhat7', stackRepoId='HDP', utilsRepoId='HDP-UTILS-1.1.0.20', stackBaseURL='http://public-repo-1.hortonworks.com/HDP/centos7/2.x/updates/2.3.0.0', utilsBaseURL='http://public-repo-1.hortonworks.com/HDP-UTILS-1.1.0.20/repos/centos7', verify=false}. Error: org.apache.ambari.server.controller.spi.NoSuchResourceException: The specified resource doesn't exist: Stack data, stackName=HDP, stackVersion= 2.3, osType=redhat7, repoId= HDP

Can anyone assist?

Thanks.

Don't have an account?
Coming from Hortonworks? Activate your account here